IT: OTS (China) - 1100 #471

(0000 # 456 (000): v4.0: Order detail - Step 2 (Niko)

v4.0: Order detail - Step 2 (Bruce)
05/16/2025 10:59 AM - Xihua Fan

Status: 000 Start date: 05/16/2025
Priority: 0o Due date: 05/30/2025
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 80.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. New requirement for v4.0 OTS

See: OneDrive\10000000000M\Shanghai Group - IMIO0MOTS va\ll00

Task List

e Design Files [I Product Proof Images

12/20/2025

a0 Design Files Product Proof Images
aooo Dropzone Dropzone
0000 0000 is_oelete’ 0000
aoo0 (000poF 000000000DDD  (DOOOODOODDDO
aood 00000 savellDOOOODO aaooon
gooooono aaa 00 -
“{file_index}-{order_id}-{ord
er_product_id}-{original_na
me}’
aooooo - New - New
orderll*storage/upload/orde | orderl]*storage/image/cach
r/{year}/temp/customer_{cu |e/order/{year}/temp/custom
stomer_id}/ er_{customer_id}/"
- Edit order - Desktop order |- Edit
detaiID‘storage/upload/orde order[|‘storage/image/cach
r/{year}/temp/order_{order_i |e/order/{year}/temp/order_{
d}/ order_id}/
- Edit order - Mobile order - New
list]"storage/upload/order/{ |orderl000000 storage/ima
year}/order_{order_id}/ ge/order/{year}/temp/custo
mer_{order_id}/ 0000000
- Edit order - Desktop order
detaill 000000 storage/ima
ge/order/{year}/temp/order_
{order_id}/ 0000000
- Edit order - Mobile order
listDO00000 storage/image/
order/{year}/order_{order_id
y-anooooo
gooooo “storage/upload/order/{year | storage/image/cache/order
Yorder_{order_id}/ Hyear}/order_{order_id}/
aaooooo <0000y ooy +oooo.y (aooay
aooooo aoooo 1000000000 s 0oooooo

*1:1 - 1000x1000
*4:3 = 1000x750

» 3:4 — 7501000
*16:9 — 1280x720
*9:16 — 720x1280
+ 20:9 — 24001080
* 9:20 — 1080x2400

aoo max_file_size => 999MB max_file_size => 10MB
file_ext_allowed => file_ext_allowed =>
"pdf',".zip',.rar',"jpg',".png',". |".jpg',".jpegd’,'.png',".image/*'
ai','xIsx',".eps','.7z',' xIs',".jpe [compress_image => true
g, tif", max_files => 3

0000000000 otf, txt,".csv' |root_dir => storage/image
.t jfif',".psd',".cdr',".partial'
,.svg',".webp',".bmp’,".doc’,'.
docx',.gif','.ods',".mp4'
compress_image => false
max_files => 0 //0 means
unlimited

root_dir => storage/upload/

Questions:
v4 coding standard:

1. Gitll[
#xxx(redmine number): xxx(redmine title) - xxx(0000000)

2.0000
2.1: U00Public -> Protected -> Private
ﬁnzz 0000000sBx
3. mvcLivanallll
3.1: v3nv4l000000000000 order.php, order_v3.php
3.2: systemU0000000000000user_v3
- Note: frontll$this->userllv400000$this->customer, Dval0000$this->user
8.3: 000000van40000000new User V3

4.0000
tDwig, is, css (s, cssU000000essO0M)

5.0000
l[\l/IVCL (LOenlen)

6. 00
1.000

/**
* XXX
*

* @copyright RedBlue-0TS 2024

* @version v4
*

*/

2.00000000 + DOODO

/**
* XXX
*

* @param xxX S$xXXX
* @param xxx S$XXX
* @return xxx

*/

Output
® Report and Solution

Others

History

#1 - 05/16/2025 11:00 AM - Xihua Fan
- Subject changed from v4.0: Order detail - 2 to v4.0: Order detail - 2 (Bruce)

#2 - 05/16/2025 11:06 AM - Xihua Fan

- Description updated

#3 - 05/16/2025 11:11 AM - Xihua Fan

- Description updated

#4 - 05/19/2025 07:04 PM - Zhongbao Ye

Output (2025/06/19 ~ 2025/06/20)1 1 + Output (2025/06/16 ~ 2025/06/18) [0 + Output (2025/06/11 ~ 2025/06/13) 101 + Output (2025/06/09 ~
2025/06/10) 10 + Output (2025/06/04 ~ 2025/06/05) [ I + Output (2025/06/03) 11 + Output (2025/05/28 ~ 2025/05/30) [ I + Output (2025/05/22)
00 + Output (2025/05/16) 10 + Output (2025/05/19 ~ 2025/05/21) 11

Note:

1. 0000storagel0000000weo00000020000
1. /var/www/html/ots4.0/image -> /var/www/html/storage/image
2. var/www/html/ots4.0/upload -> /var/www/html/storage/upload

= uploadl0000000000000000000000000000000000000000D000000000D000000000000000000n00000n
2. [0pdfl000DesktoplMobilel00000
o Desktopl0000000000
o Mobile:
= 10s: 00000000000000copyl000OOD
= 00000000000

Mobile(To-do)[00000000000000000000000000000000000wen0000000D

SQL:00 #440

#5 - 05/22/2025 10:21 AM - Zhongbao Ye
- Description updated

- % Done changed from 0 to 10

#6 - 05/22/2025 11:29 AM - Zhongbao Ye

- Description updated

#7 - 05/22/2025 11:52 AM - Zhongbao Ye

- Description updated

#8 - 05/22/2025 02:35 PM - Zhongbao Ye

- Description updated

#9 - 05/22/2025 05:11 PM - Zhongbao Ye

- Description updated

#10 - 05/26/2025 10:56 AM - Zhongbao Ye
- % Done changed from 10 to 20

#11 - 05/29/2025 08:34 PM - Zhongbao Ye
- % Done changed from 20 to 70

#12 - 06/09/2025 01:51 PM - Zhongbao Ye
- Description updated

#13 - 06/20/2025 04:08 PM - Zhongbao Ye
https://redmine.easydingzhi.com/issues/440

- Description updated
- % Done changed from 70 to 90

#14 - 06/20/2025 07:57 PM - Xihua Fan
000 mobile(To-do) 00000000000000000000000000000000D000web00D0O0O0O

(000checkListlhttps://trello.com/c/TIPOGZJIR/7-%E8%AE%A2%E5%8D%95%E5%88%97%E8%A1%A8-order-listl]
aooa

#15 - 06/20/2025 07:58 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 90 to 100

#16 - 11/28/2025 02:43 PM - Xihua Fan
- Subject changed from v4.0: Order detail - 2 (Bruce) to v4.0: Order detail - Step 2 (Bruce)

#17 - 12/09/2025 02:34 PM - Zhongbao Ye

- Description updated

#18 - 12/09/2025 02:40 PM - Zhongbao Ye

- Description updated

#19 - 12/09/2025 02:43 PM - Xihua Fan

- Description updated

#20 - 12/09/2025 03:16 PM - Zhongbao Ye

- Description updated
